Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02054 Crash/Freeze Critical (emulator) Always Jul 30, 2008, 15:07 9 days ago
Tester RansAckeR View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver model2.cpp
Version 0.126u2 Fixed in Version Build
Summary 02054: daytona, daytona93: "SEGA 3D: Max triangle limit exceeded" error appears after a few laps
Description In video/model2.c the following if-clause is true after a while:

if ( raster.tri_list_index >= MAX_TRIANGLES )
{
    fatalerror( "SEGA 3D: Max triangle limit exceeded\n" );
}

Definition:
#define MAX_TRIANGLES 32768

I get the message after about 2-3 laps on the beginner track (also in attract mode once). I have auto frame skip set to on. Once mame crashed after a few laps.



When trying to find a regression version, I got these results:

When trying daytona with 0.122u5, it popped up right after the announcer said 'go' on beginner track.
The next try it crashed after 4 laps:
-----------------------------------------------------
Exception at EIP=009B2A0B: ACCESS VIOLATION
While attempting to read memory at 0A0ADBB0
-----------------------------------------------------
EAX=00106DC9 EBX=00000886 ECX=09EA0020 EDX=000836E4
ESI=00000BB2 EDI=0000005C EBP=0B2FFE80 ESP=0B2FFE30


Not sure if the following are related:

0.122 freezes mame at about the same moment (after 2-3 laps)

0.121 after 2-3 laps:
-----------------------------------------------------
Exception at EIP=009A771B: ACCESS VIOLATION
While attempting to read memory at 0A0DF5A0
-----------------------------------------------------
EAX=00167AC1 EBX=00000E92 ECX=09E10020 EDX=000B3D60
ESI=00000DA2 EDI=00000112 EBP=0B26FE80 ESP=0B26FE30

0.119u1 after 2-3 laps:
-----------------------------------------------------
Exception at EIP=009B4FB3: ACCESS VIOLATION
While attempting to read memory at 09F73EC0
-----------------------------------------------------
EAX=00101F50 EBX=000006C0 ECX=0000083A EDX=00080FA8
ESI=09D70020 EDI=00000020 EBP=0022F948 ESP=0022F620
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems daytona, daytona93
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
7
User avatar
No.01846
Firewave
Senior Tester
Jul 30, 2008, 16:09
I tried to reproduce this, but shortly after starting the race I get an access violation:

-----------------------------------------------------
Exception at EIP=007F0102 (model2_3d_set_zclip+0x32af): ACCESS VIOLATION
While attempting to read memory at 27F71000
-----------------------------------------------------
EAX=27F71000 EBX=1A6E1F48 ECX=00010920 EDX=00000001
ESI=502F9000 EDI=00000009 EBP=06D6FA58 ESP=06D6F9D0

I am on Windows XP x64 with a self-compiled debug build.
User avatar
No.01847
john_iv
Senior Tester
Jul 30, 2008, 16:18
I can confirm the original issue in Mame x64 in Vista x64.
User avatar
No.01848
RansAckeR
Tester
Jul 30, 2008, 16:23
john_iv, did you use auto frame skip?
User avatar
No.01851
john_iv
Senior Tester
Jul 30, 2008, 21:38
edited on: Jul 30, 2008, 23:33
No I don't use autoframeskip, but was able to see the error.
User avatar
No.08355
NekoEd
Senior Tester
Mar 15, 2012, 14:00
edited on: Mar 15, 2012, 14:03
Can no longer reproduce any of these issues, 2012-03-15 v0.145u4

Ran 8 laps in endurance mode before my arm fell asleep and I had to stop. Game is still in GNW state, with graphical issues and running at about 30-50% against realtime, but no more crashes.

I cannot accurately test the issue regarding AFS, as my machine runs the game at a perfect 100%. Leaving open for someone with an older/weaker machine to test with AFS working.
User avatar
No.15868
MetalGod
Tester
10 days ago
The game runs a bit slow on my pc. I activated autoframeskip and played beginner race 3 times. No crashes or errors for me.
I recorded one of my gameplays:
User avatar
No.15869
Tafoid
Administrator
9 days ago
Yup, I think this was fixed on some effort a bit ago on Model 2 stuff